<?php
/**
 * BookiFlex Core
 *
 * @package    BookiFlex
 * @subpackage Core
 * @author     BookiFlex
 * @copyright  Copyright (c) 2025 BookiFlex
 * @license    GPL-2.0-or-later
 *
 * @link       https://bookiflex.com
 */


declare(strict_types=1);
namespace BookiFlex\Core\Contract\DeferrerEvent;

defined( 'ABSPATH' ) || exit;

/**
 * Interface that ensures if there are multiple events of the same type for one object,
 * the last one will be marked as the latest.
 */
interface LatestEventInterface
{
    public function getIdentifier(): string;
    public function lastEvent(bool $value): void;
    public function isLastEvent(): bool;
}
